Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.remote.hessian.service
Class HessianServlet

    java.lang.Object
      javax.servlet.GenericServlet
          com.caucho.hessian.server.HessianServlet
              org.apache.cayenne.configuration.rop.server.ROPHessianServlet
                  org.apache.cayenne.remote.hessian.service.HessianServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Deprecated. since 3.1 use `ROPHessianServlet`.

    @Deprecated
    public class HessianServlet

extends ROPHessianServlet

Deprecated since 3.1 in favor of `ROPHessianServlet`. Note that if you keep using this servlet in your web.xml, only default configuration will work, as "api-class" and "service-class" parameters are no longer supported. ROPHessianServlet supports "extra-modules" parameter instead to customize ROP service via `HessianServletConfigurator`.

Since:
  1.2
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.cayenne.configuration.rop.server.ROPHessianServlet
`servletContext`

Constructor Summary
`HessianServlet()` Deprecated.

Method Summary
`void` | `init(javax.servlet.ServletConfig config)` Deprecated. Installs `HessianService` to respond to `RemoteService` requests.

Methods inherited from class org.apache.cayenne.configuration.rop.server.ROPHessianServlet
`checkAlreadyConfigured, destroy`

Methods inherited from class com.caucho.hessian.server.HessianServlet
`getAPIClass, getSerializerFactory, getServletInfo, service, setAPIClass, setDebug, setHome, setHomeAPI, setLogName, setObject, setObjectAPI, setSendCollectionType, setSerializerFactory, setService`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HessianServlet

    public HessianServlet()

  Deprecated.

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Deprecated.
  Description copied from class: `ROPHessianServlet`
  Installs `HessianService` to respond to `RemoteService` requests.

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `ROPHessianServlet`
  Throws:
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 Apache Cayenne. All Rights Reserved.